Cookie

Errore SSL di Wget

Pubblicato da TheJoe il

Tempo di lettura stimato: < 1 minuto

Attenzione


Questo articolo è stato pubblicato più di un anno fa, potrebbero esserci stati sviluppi.
Ti preghiamo di tenerne conto.

L’errore di wget di cui parliamo oggi può capitare per diverse ragioni. Può essere che wget non supporti correttamente i download in https a causa delle opzioni relative ai protocolli di sicurezza, oppure per errori sui certificati, o altro ancora.

Solitamente il comando wget viene usato per scaricare i file da internet attraverso il terminale.

Soluzione

La maggior parte delle volte si incappa nell’errore quando wget non supporta i download tramite https. In questo caso occorre specificare il protocollo utilizzato dal server (il più delle volte TLSv1 o TLSv2).

Con il comando seguente istruiamo wget sul protocollo da utilizzare e risolviamo il problema.

wget --secure-protocol=TLSv1 https://updatesfirma.aruba.it/downloads_ak/AK_LINUX_VERSION.zip
Guarda qui:  Ventoy: Creare una chiavetta USB multiboot copiando le ISO

TheJoe

Mantengo questo blog a livello amatoriale dal 2009. Sono appassionato di grafica, tecnologia, software Open Source. Fra i miei articoli non sarà difficile trovarne circa la musica, ed alcuni di riflessioni personali, ma preferisco indirizzare la linea del blog principalmente verso la tecnologia. Per informazioni contattami.

0 commenti

Lascia un commento

Segnaposto per l'avatar

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.